import { writable } from 'svelte/store';

export const popovers = writable([]);

let popoverId = 0;

export function showPopover(content, triggerRect, options = {}) {
  const id = popoverId++;
  popovers.update(items => [...items, { id, content, triggerRect, options }]);
  return id;
}

export function hidePopover(id) {
  popovers.update(items => items.filter(item => item.id !== id));
} 